RemoteBuildServerFacade Error

I am trying to write a custom plugin and have following line in code:

RemoteBuildServerFacade bf = RemoteBuildServerFacade.createInstance(xmlrpc,null);

i have included buildServerRemoteServerProxy.jar in classpath but am getting following error when i try to compile the code:

Error:Error:line (5)cannot access jetbrains.buildServer.serverProxy.RemoteBuildServerFacade
bad class file: C:\TeamCity\buildAgent\lib\buildServerRemoteServerProxy.jar(jetbrains/buildServer/serverProxy/RemoteBuildServerFacade.class)
class file has wrong version 49.0, should be 48.0
Please remove or make sure it appears in the correct subdirectory of the classpath.

Any pointers or help is really appreciated.

Thanks
star

1 comment

star123 wrote:

I am trying to write a custom plugin and have following line in code:

RemoteBuildServerFacade bf = RemoteBuildServerFacade.createInstance(xmlrpc,null);

i have included buildServerRemoteServerProxy.jar in classpath but am getting following error when i try to compile the code:

Error:Error:line (5)cannot access jetbrains.buildServer.serverProxy.RemoteBuildServerFacade
bad class file: C:\TeamCity\buildAgent\lib\buildServerRemoteServerProxy.jar(jetbrains/buildServer/serverProxy/RemoteBuildServerFacade.class)
class file has wrong version 49.0, should be 48.0
Please remove or make sure it appears in the correct subdirectory of the classpath.

Any pointers or help is really appreciated.


Do you use JDK 1.5?
If so this may be related to both 1.4 & 1.5 installed.
Google gives plenty of results for
"class file has wrong version 49.0, should be 48.0"
i.e. http://forum.java.sun.com/thread.jspa?threadID=517933&tstart=0

--
Alexey Gopachenko
JetBrains Inc.
http://www.intellij.com
"Develop with pleasure!"

0

Please sign in to leave a comment.